package com.zcloud.mapper.datasource.eightwork;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：临时用电作业
 * 作者：luoxiaobao
 * 时间：2021-09-08
 * 官网：www.zcloudchina.com
 */
public interface ElectricityMapper {

	PageData getCode(PageData pd);
	PageData findById(PageData pd);
	void save(PageData pd);
	void delete(PageData pd);
	void edit(PageData pd);
	void editGasTime(PageData pd);
	void editStep(PageData pd);

	void editVideo(PageData pd);

	void setPosition(PageData pd);
	List<PageData> datalistPage(Page page);

	List<PageData> listAllMeasures();

	List<PageData> checkWorkCount(PageData pd);

	List<PageData> getFlowList(PageData pd);

	List<PageData> getMapList(PageData pd);
}

